Package network.protocol.packets

# Class LoginPacket

java.lang.Object
network.protocol.Packet
network.protocol.packets.LoginPacket

All Implemented Interfaces:
  `Serializable`

public class LoginPacket extends Packet

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoginPacket(String pseudo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(PacketVisitor packetVisitor)`
  `String`
  `getPseudo()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LoginPacket

    public LoginPacket(String pseudo)

- ## Method Details

  - ### getPseudo

    public String getPseudo()

  - ### accept

    public void accept(PacketVisitor packetVisitor)
    Specified by:
      `accept` in class `Packet`